<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.boj.or.jp/bojnet/product/g72/ver01" targetNamespace="http://www.boj.or.jp/bojnet/product/g72/ver01" elementFormDefault="qualified">
	<xs:element name="Gdata" type="Gdata-CT1710"/>
	<xs:complexType name="Gdata-CT1710">
		<xs:sequence>
			<xs:element name="o720008" type="o720008-CT1"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="o720008-CT1">
		<xs:sequence>
			<xs:element name="susnKbnCd" type="Fix1String03"/>
			<xs:element name="susnKbnMi" type="Max3String"/>
			<xs:element name="hkkuTubn" type="Fix3String03"/>
			<xs:element name="nyustSusnBnguM3" type="Max3Number"/>
			<xs:element name="oubsh" type="oubsh-CT2"/>
			<xs:element maxOccurs="100" minOccurs="0" name="TradDtls" type="TradDtls-CT129"/>
			<xs:element name="oubGkKiM10" type="Max10Number"/>
			<xs:element name="oubGkRikiM11" type="Max11Number"/>
		</xs:sequence>
		<xs:attribute name="ver" use="required">
			<xs:simpleType>
				<xs:restriction base="xs:string">
					<xs:enumeration value="02"/>
				</xs:restriction>
			</xs:simpleType>
		</xs:attribute>
	</xs:complexType>
	<xs:complexType name="oubsh-CT2">
		<xs:sequence>
			<xs:element maxOccurs="1" minOccurs="0" name="AnyBIC" type="Max11String03"/>
			<xs:element maxOccurs="1" minOccurs="0" name="PrtryId" type="Fix4String02"/>
			<xs:element name="oubShMi" type="Max7String"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="TradDtls-CT129">
		<xs:sequence>
			<xs:element name="FinInstrmId" type="FinInstrmId-CT6"/>
			<xs:element name="oubRmwr" type="Max2P4Decimal01"/>
			<xs:element name="oubGkM8" type="Max8Number"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="FinInstrmId-CT6">
		<xs:sequence>
			<xs:element name="Id" type="Id-CT4"/>
			<xs:element name="Desc" type="Max18String"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="Id-CT4">
		<xs:sequence>
			<xs:element name="ISIN" type="Fix12String01"/>
		</xs:sequence>
	</xs:complexType>
	<xs:simpleType name="Fix1String03">
		<xs:restriction base="xs:string">
			<xs:pattern value="[0-9]{1,1}"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Max3String">
		<xs:restriction base="xs:string">
			<xs:minLength value="1"/>
			<xs:maxLength value="3"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Fix3String03">
		<xs:restriction base="xs:string">
			<xs:pattern value="[0-9]{3,3}"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Max3Number">
		<xs:restriction base="xs:integer">
			<xs:pattern value="[0-9]{1,3}"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Max11String03">
		<xs:restriction base="xs:string">
			<xs:pattern value="[A-Z]{6,6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3,3}){0,1}"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Fix4String02">
		<xs:restriction base="xs:string">
			<xs:pattern value="[A-Z0-9]{1,1}[0-9]{3,3}"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Max7String">
		<xs:restriction base="xs:string">
			<xs:minLength value="1"/>
			<xs:maxLength value="7"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Fix12String01">
		<xs:restriction base="xs:string">
			<xs:pattern value="[A-Z0-9]{12,12}"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Max18String">
		<xs:restriction base="xs:string">
			<xs:minLength value="1"/>
			<xs:maxLength value="18"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Max2P4Decimal01">
		<xs:restriction base="xs:decimal">
			<xs:pattern value="[\-]?[0-9]{1,2}(\.[0-9]{1,4})?"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Max8Number">
		<xs:restriction base="xs:integer">
			<xs:pattern value="[0-9]{1,8}"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Max10Number">
		<xs:restriction base="xs:integer">
			<xs:pattern value="[0-9]{1,10}"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="Max11Number">
		<xs:restriction base="xs:integer">
			<xs:pattern value="[0-9]{1,11}"/>
		</xs:restriction>
	</xs:simpleType>
</xs:schema>
